<?php

/* 
 * CURRENCY UPDATOR 1.0
 *
 * Copyright (C) 2008,
 * Frdric VOIGNIER
 * www.subdelirium.com
 *
 * This code is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See copying.txt for details
 *
 * WARNING : You need too have cURL and SimpleXML, PHP5 libraries activated to use this code.
 */
 

// Adresse du flux XML de la BCE
$request_url = "http://www.ecb.europa.eu/stats/eurofxref/eurofxref-daily.xml";

// Utilisation de La Librairie cURL
// Initialise une nouvelle session cURL pour communiquer avec le serveur
$ch = curl_init();
// nbr de secondes timeout
$timeout = 5; 
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
$data = curl_exec($ch);
// fermeture cURL
curl_close($ch); 

// Utilisation de La Librairie SimpleXML pour parser
$xml = new SimpleXMLElement($data);
// Rcuperation en array de la date de dernire mise  jour sur l'attribut "time" du flux
$time = $xml->xpath('//@time');
// Rcuperation en array des devises sur l'attibut "currency" du flux
$currency = $xml->xpath('//@currency');
// Rcuperation en array des taux sur l'attibut "rate" du flux
$rate = $xml->xpath('//@rate');
// Stockage en variable de la date de mise  jour
$last_update_from_ecb = $time[0];

// cration de formulaire, changer l'action pour le nom de la page voulue
echo '<form id="currency_form" name="currency_form" method="post" action="">'; 

echo 'Dernire mise  jour
  <input type="text" name="miseajour" id="miseajour" value="'.$last_update_from_ecb.'" /><br><br>';

$currency_counter = count($currency);
// Pour chaque devises comptes...
for( $y=0; $y < $currency_counter; $y++ )
	{
	// Rcupration de la valeur dans l'array
	$currency_y = $currency[$y];
	// Conversion des object(SimpleXMLElement) en string
	$currency_y = strval($currency_y);
	// Rcupration de la valeur dans l'array
	$rate_y = $rate[$y];
	// Conversion des object(SimpleXMLElement) en string
	$rate_y = strval($rate_y);
	
	echo $currency_y.' <input type="text" name="'.$currency_y.'" id="'.$currency_y.'" value="'.$rate_y.'" /><br><br>';
	}

echo '<input type="submit" name="Enregistrer" id="Enregistrer" value="Enregistrer" />
	</form>';

?>